#NONAMEFORCOMMIT
%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%define		original_name	nose

Name:		python%{PVER}-%{original_name}
Version:	0.11.3
Release:	1
Summary:	A discovery-based unittest extension for Python
Group:		Development/Python
License:	GNU/LGPLv2
URL:		http://somethingaboutorange.com/mrl/projects/%{original_name}/
Source0:	http://somethingaboutorange.com/mrl/projects/%{original_name}/%{original_name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:	noarch
Requires:	python%{PVER}
BuildRequires:	python%{PVER}-devel
BuildRequires:	python%{PVER}-setuptools
Obsoletes:	python25-nose

%description
nose: a discovery-based unittest extension.
nose provides an alternate test discovery and running process for unittest,
one that is intended to mimic the behavior of py.test as much as is
reasonably possible without resorting to too much magic.

%prep
%setup -q -n %{original_name}-%{version}

%build
%{__python} setup.py build

%install
rm -Rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --root $RPM_BUILD_ROOT --install-data=%_datadir
rm -f $RPM_BUILD_ROOT%_bindir/nosetests

# Don't remove *.egg-onfo dirs !
#rm -Rf $RPM_BUILD_ROOT%{python_sitelib}/*.egg-info

%clean
rm -Rf $RPM_BUILD_ROOT
rm -Rf $RPM_BUILD_DIR/%{original_name}*

%files
%defattr(-,root,root,-)
%doc AUTHORS CHANGELOG lgpl.txt NEWS README.txt
%_bindir/nosetests-%{PYVER}
%_mandir/man1/nosetests.1.gz
%{python_sitelib}/nose
%{python_sitelib}/nose-0.11.3-py2.6.egg-info

%changelog
* Thu Jul 01 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.11.3-1
- Version update
* Thu Oct 29 2009 Christian Wasem <wasem@ccux-linux.de> 0.11.1-2
- rebuild against python26-2.6.3-1
* Tue Oct 13 2009 Christian Wasem <wasem@ccux-linux.de> 0.11.1-1
- Initial CCux Release, build against python25-2.5.4-3
